import { serializeStyles } from '@emotion/serialize';

export const getCssText = (obj?: ObjCss) => {
  if (!obj) return '';
  const serialized = serializeStyles([obj]);
  return serialized.styles;
};
export const getCssTextObjs = (objs?: ObjCss[]) => {
  if (!objs) return '';
  const serialized = serializeStyles(objs);
  return serialized.styles;
};
export type ObjCss = { [key: string]: number | string } & React.CSSProperties;
export const obj2css = (el?: HTMLDivElement, obj?: ObjCss) => {
  if (!el) return;
  if (!obj) return;
  const serialized = serializeStyles([obj as unknown as Record<string, string>]);
  el.style.cssText = serialized.styles;
};
